Roles
Return a list of permissions available for Roles.
Object of available role permissions
Resource Name
Resource description and/or mapping to portal
If fetch/get is an available action
If create is an available action
If update is an available action
If delete is an available action
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/roles/permissions HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"resource": "text",
"description": "text",
"fetch": true,
"create": true,
"update": true,
"delete": true
}
]Return a list of all Roles.
Role response object
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/roles HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": {
"id": "text",
"name": "text",
"description": "text",
"canMasquerade": true,
"canSendFlow": true,
"system": true,
"permissions": [
{
"resource": "text",
"description": "text",
"fetch": true,
"create": true,
"update": true,
"delete": true
}
]
}
}Create a Role from the supplied object. Do NOT submit an ID. IDs are auto generated and immutable.
The name of the role.
my_roleA user friendly description of the role.
Role for Testing(resellers only) Whether or not the role can masquerade into sub accounts.
falseExample: trueWhether or not the role can send NetoFlow.
falseExample: trueRole response object
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
POST /api/v1/roles HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 267
{
"name": "my_role",
"description": "Role for Testing",
"canMasquerade": true,
"canSendFlow": true,
"permissions": [
{
"resource": "account",
"fetch": true,
"create": true,
"update": true,
"delete": true
},
{
"resource": "customer",
"fetch": true,
"create": false,
"update": false,
"delete": false
}
]
}{
"meta": {
"code": 200,
"count": 1
},
"data": {
"id": "text",
"name": "text",
"description": "text",
"canMasquerade": true,
"canSendFlow": true,
"system": true,
"permissions": [
{
"resource": "text",
"description": "text",
"fetch": true,
"create": true,
"update": true,
"delete": true
}
]
}
}Fetches a specific Role from the ID supplied in the path.
String ID of the role to get
Role response object
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
GET /api/v1/roles/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"meta": {
"code": 200,
"count": 1
},
"data": {
"id": "text",
"name": "text",
"description": "text",
"canMasquerade": true,
"canSendFlow": true,
"system": true,
"permissions": [
{
"resource": "text",
"description": "text",
"fetch": true,
"create": true,
"update": true,
"delete": true
}
]
}
}Update a Role given the provided object. This does not do a diff. You must send the complete object.
The ID of the Role to be updated
The name of the role.
my_roleA user friendly description of the role.
Role for Testing(resellers only) Whether or not the role can masquerade into sub accounts.
falseExample: trueWhether or not the role can send NetoFlow.
falseExample: trueRole response object
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
PUT /api/v1/roles/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 267
{
"name": "my_role",
"description": "Role for Testing",
"canMasquerade": true,
"canSendFlow": true,
"permissions": [
{
"resource": "account",
"fetch": true,
"create": true,
"update": true,
"delete": true
},
{
"resource": "customer",
"fetch": true,
"create": false,
"update": false,
"delete": false
}
]
}{
"meta": {
"code": 200,
"count": 1
},
"data": {
"id": "text",
"name": "text",
"description": "text",
"canMasquerade": true,
"canSendFlow": true,
"system": true,
"permissions": [
{
"resource": "text",
"description": "text",
"fetch": true,
"create": true,
"update": true,
"delete": true
}
]
}
}Deletes the Role. API will return a 409 Conflict if the role is in use.
The ID of the Role to be retrieved
An empty array
No content
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
Access token is missing or invalid
Access is forbidden
Unknown Error Occurred
DELETE /api/v1/roles/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated